
r = 10;
h1 = 0.8

[location_ver, location_hor] = get_loc(r);

i = 1;



for freq = 30e6:1e6:1000e6

    h2_hor = location_hor(i);
     
        alfaD_hor(i) = (180/pi)*atan((h2_hor-h1)/r);
        betaD_hor(i) = (180/pi)*atan((h2_hor+h1)/r);

        Up_hor(i) = (alfaD_hor(i));
        Uo_hor(i) = (betaD_hor(i));   


    h2_ver = location_ver(i);
  

        alfaD_ver(i) = (180/pi)*atan((h2_ver-h1)/r);
        betaD_ver(i) = (180/pi)*atan((h2_ver+h1)/r);

        Up_ver(i) = (alfaD_ver(i));
        Uo_ver(i) = (betaD_ver(i)); 

    i = i + 1;
end


Xplot = 30e0:1e0:1000e0



    figure(1)
    subplot(2,1,1)
    set(gcf, 'color', [1 1 1])
    plot(Xplot, location_ver, 'b');
    set(gca,'FontSize',15)
    title('Vertikální polarizace (r = 10m)');
    xlabel('Frekvence [MHz]');
    ylabel('Výška antény [m]');
    
    subplot(2,1,2)
    plot(Xplot, location_hor, 'b');
    set(gca,'FontSize',15)
    title('Horizontální polarizace (r = 10m)');
    xlabel('Frekvence [MHz]');
    ylabel('Výška antény [m]');


    figure(2)
    subplot(2,1,1)
    set(gcf, 'color', [1 1 1])
    set(gca,'FontSize',15)
    plot(Xplot, Up_ver, 'b');
    hold on;
    plot(Xplot, Uo_ver, 'r');
    title('Vertikální polarizace (r = 10m)');
    legend('Prímá ', 'Odražená')
    xlabel('Frekvence [MHz]');
    ylabel('Úhel [°]');

    subplot(2,1,2)    
    set(gca,'FontSize',15)
    plot(Xplot, Up_hor, 'b');
    hold on;
    plot(Xplot, Uo_hor, 'r');
    title('Horizontální polarizace (r = 10m)');
    legend('Prímá ', 'Odražená')
    xlabel('Frekvence [MHz]');
    ylabel('Úhel [°]');

      
      
      
      
      
      